Bug 984219 - [abrt] terminator-0.97-1.fc19: terminal.py:836:on_keypress:TypeError: object of type `terminatorlib+paned+HPaned' does not have property `has-toplevel-focus'
[abrt] terminator-0.97-1.fc19: terminal.py:836:on_keypress:TypeError: object ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:d94964b56c2df1ebf99c9e63bc5...
:
: 1014775 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 13:16 EDT by Edouard Bourguignon
Modified: 2015-02-17 11:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (765 bytes, text/plain)
2013-07-13 13:16 EDT, Edouard Bourguignon
no flags Details
File: environ (1.57 KB, text/plain)
2013-07-13 13:16 EDT, Edouard Bourguignon
no flags Details

  None (edit)
Description Edouard Bourguignon 2013-07-13 13:16:23 EDT
Version-Release number of selected component:
terminator-0.97-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/terminator
core_backtrace: 6df2a4a91eb916b3b0d11aa78ae2fa898b9e019e 0x344 on_keypress /usr/lib/python2.7/site-packages/terminatorlib/terminal.py -
executable:     /usr/bin/terminator
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
terminal.py:836:on_keypress:TypeError: object of type `terminatorlib+paned+HPaned' does not have property `has-toplevel-focus'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/terminatorlib/terminal.py", line 836, in on_keypress
    window_focussed = self.vte.get_toplevel().get_property('has-toplevel-focus')
TypeError: object of type `terminatorlib+paned+HPaned' does not have property `has-toplevel-focus'

Local variables in innermost frame:
widget: <vte.Terminal object at 0x239ab90 (VteTerminal at 0x2587320)>
self: <Terminal object at 0x239ab40 (terminatorlib+terminal+Terminal at 0x20626e0)>
mapping: None
groupsend_type: {'off': 2, 'all': 0, 'group': 1}
event: <gtk.gdk.Event at 0x2700be8: GDK_KEY_PRESS keyval=Up>
groupsend: 1
Comment 1 Edouard Bourguignon 2013-07-13 13:16:30 EDT
Created attachment 773118 [details]
File: backtrace
Comment 2 Edouard Bourguignon 2013-07-13 13:16:35 EDT
Created attachment 773119 [details]
File: environ
Comment 3 Dominic Hopf 2014-07-02 20:54:29 EDT
*** Bug 1014775 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2015-01-09 13:53:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:08:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.